OPK WARP

Menci Software - OPK Warp - Copyright © 2016

WebSite: http://www.menci.com - E-Mail: info@menci.com


Quick reference

  • Features
  • Main interface
  • DEM
  • Passport and external orientation
  • Upload images
  • Run process
  • WorkFlow

What is OPK WARP?

OPK is a software suite specifically designed for the high production of aerial photogrammetric products starting from large format digital images acquired by aerial cameras, such as UltraCam, DMC, DIMAC, etc.

OPK is composed and capable of multiple applications each specifically developed to manage a particular stage of cartographic production.

OPK is the our innovative technology for large format cameras (Ultracam, DMC, Dimac) providing totally automatic photogrammetric workflow. It is designed for high quality and mass production of AT, DSM, DTM and orthomosaics.

OPK WARP is a software developed for the automatic generation of ortophotos from aerial triangulated images. OPK WARP users should only upload references files: DEM, passport, external orientation and images. After these simple operations, process run in a automatic way.


Features

  • Unlimited number of image
  • Automatic generation of ortophoto RGB
  • Automatic generation of ortophoto IR
  • Multi-channel images handling: RGB+IR
  • Real time ortophoto generation
  • Automatic report generation
  • Automatic data save
  • View results


Main view

When the software starts following window (fig.1) will be opened. OPK WARP does not create a real project, the files in output are directly saved in a folder chosen by user. Inside this folder are the orthophotos and other files provided.

Figure 1

In the upper part of the main screen are the keys: Project, DEM and Image To Warp (fig.2).

Figure 2

By Open you can open an existing project. The window that opens when you click the icon is shown in figure 3. You simply browse through the folders on your computer to select correct files and then click 'Open'.

Figure 3

By Save (fig.4) you can save the project.

Figure 4

The window that opens when you click the icon is shown in Fig. 5. Browse through the folders on your computer to select the folder and then click 'Save'.

Figure 5

By Import from Bundle you can import a bundle file.

Figure 6

The window that opens when you click the icon is shown in Fig. 7. Browse through the folders on your computer to select the file and then click 'Open'.

Figure 7

In the bottom part of the main view there are two keys: About and Tutorial (fig.8). By the first one you can inquire about Menci Software while by the second one you can query the tutorial for the software.

Figure 8

In the bottom right of the main view there is the key Exit (fig.9) by which you close the project.

Figure 9

In the top right of the main view there is the key Settings (fig.10) by which you can send an e-amil (fig.11) when the process ends.

Figure 10

Figure 11


DEM

By Add in tab Dem you can import DEM file to start the process.

Figure 12

The window that opens when you click the icon is shown in Fig. 13. Browse through the folders on your computer to select correct files and then click 'Open'.

Figure 13

Uploaded the DEM, tab Image to Warp is activated (fig.14).

Figure 14

To continue the process click Add (fig.15).

Figure 15


Passport and external orientation

By clicking Add in tab Image To Warp opens the following window (fig.16).

Figure 16

If you have a passport file compatible with OPK WARP you can add it by Import. The window that opens when you click the icon is shown in figure 17. Browse through the folders on your computer and then click 'Open'.

Figure 17

If you do not have a passport file compatible, OPK WARK provides the opportunity to create your own personal passport file by Fill New Key (fig.18).

Figure 18

The window that opens is shown in figure 19.

Figure 19

You must insert:

  • Camera name (NOTE: These parameters do not affect the process);
  • Camera model (NOTE: These parameters do not affect the process);
  • Lens serial number (N/S) (NOTE: These parameters do not affect the process);
  • Calibration date (dd-mm-aaaa) (NOTE: These parameters do not affect the process);
  • Focal lenght (mm);
  • Pixel size (mm);
  • Principal Point coordinate X (pixel);
  • Principal Point coordinate Y (pixel);
  • Distorsion parameters (K1, K2, K3, P1, P2). If the images are alredy undistorted these parameters are zero.

By clicking on Details (fig.20) you can view the details of the camera passport included (fig.21)

Figure 20

Figure 21

To add the camera passport click Select (fig.22).

Figure 22

The next step is to import the images external orientations. Windonw following (fig.23) automatically opens and you can choose suitable file by Browse. Then you click Open (fig.24).

Figure 23 Figure 24

At top you can change the keywords for parsed file by editing comments and separators. You can change the column order by one click on the top of each column (fig. 25), you can also selec the rotational angle unit (Deg, Grad or Rad).

Figure 25

Select the appropriate data or press Select All then press Import (fig.26).

Figure 26


Upload images

The last step is to upload images. From window (fig.27) that automatically opens after upload external orientation file press Open to select correct files.

Figure 27

Main view changed (fig. 28). Left panel contains the ID of each photo uploaded. On DEM are also footprints of all images and in bottom main view there is a report of operations.

Figure 28

It is possible make evident the footprints by click on Fill (fig. 29).

Figure 29

You can also delete one or more images after uploaded. Images can be selected by the left panel or by selection on the main screen. In both cases after you have to click Remove Selection. If you want to delete all images, you simply click Remove All (fig.30). To deselect click the right mouse button.

Figure 30


Run process

Now you can run the process by Start (fig.31).

Figure 31

The following window (fig.32) will be opened automatically. You can set:

  • GSD (Ground sample Distance): ortophotos resolution;
  • Tile Size: value 1 is suitable for steep slopes areas, while 16 value is suitable for other areas;
  • Voronoy: you select this option (advised choice) to reduce area projected;
  • Number of Threads, maximum number of threads provides faster process.

Figure 32

After press Ok, then you can set the order of channel in the window in figure 33. If you want a preview press View.

Figure 33

Now you can press Apply and then you must choice the output folder or create a new folder (fig.34).

Figure 34

You press Ok and the process starts:

  • Green areas are warped images;
  • Fucsia areas are warping image;
  • Yellow footprints are the image that have yet to be warped.

Figure 35

During the process main view is the following (fig.36)

Figure 36

Process report is showed after the process ends (fig. 37).

Figure 37

By Full Report key (fig. 38) you can save report process as a .txt file (fig. 39).

Figure 38 Figure 39